{% extends 'layouts/ikdoeict-tasks.twig' %}

{% block pageContent %}
    <div class="panel panel-default">
        <div class="panel-heading">
            Taak wijzigen
        </div>
        <div class="panel-body">
            <!-- Display Validation Errors -->
            {% include 'partials/errors.twig' %}
            <!-- Task Edit Form -->
            <form action="/tasks/{{ task.id }}/edit" method="POST" class="form-horizontal">
                <!-- Task Name -->
                <div class="form-group">
                    <label for="what" class="col-sm-3 control-label">Taak</label>
                    <div class="col-sm-9">
                        <input type="text" name="what" id="what" class="form-control" value="{{ task.name }}">
                    </div>
                </div>
                <div class="form-group">
                    <label for="priority" class="col-sm-3 control-label">Prioriteit</label>
                    <div class="col-sm-9">
                        <select name="priority" id="priority" class="form-control">
                            <option value="low"{% if task.priority == 'low'%} selected="selected"{% endif %}>low</option>
                            <option value="normal"{% if task.priority == 'normal'%} selected="selected"{% endif %}>normal</option>
                            <option value="high"{% if task.priority == 'high'%} selected="selected"{% endif %}>high</option>
                        </select>
                    </div>
                </div>
                <input type="hidden" name="moduleAction" value="edit" />
                <input type="hidden" name="id" value="{{ task.id }}" />
                <!-- Add Task Button -->
                <div class="form-group">
                    <div class="col-sm-offset-3 col-sm-6">
                        <button type="submit" class="btn btn-default">
                            <i class="fa fa-btn fa-pencil"></i>Taak wijzigen
                        </button>
                    </div>
                </div>
            </form>
            <p class="text-left"><a href="index.php">Annuleren en terug naar overzicht</a></p>
        </div>
    </div>
{% endblock %}

{% block myScripts %}
    <script src="/js/edit.js"></script>
{% endblock %}